Enrollment Services

Enrollment services allow you to manage available registries on service provider. You can view and make an update according to any specific decision on available enrollments.

Note: For now, verification is only available enrollment type which means registry for Confirmation of Payee (on Pay.UK) directory on ClearBank. This means, if status set as active, related bank account is registered on Pay.UK CoP directory.

Update Bank Account Enrollment

PATCH /bank-account-enrollments/{bankAccountEnrollmentId}

FieldDescription
workflow.codeclient.verification.direct, organization.verification.direct
data.bankAccountEnrollment.statusactive, inactive
data.bankAccountEnrollment.reasonFreetext field of maximum 200 characters only required if updating the status to inactive
{
  "workflow": {
    "code": "client.verification.direct"
  },
  "data": {
    "bankAccountEnrollment": {
      "status": "inactive",
      "reason": "inactive test"
    }
  },
  "connect": {},
  "metadata": {}
}
{
  "workflow": {
    "code": "client.verification.direct"
  },
  "data": {
    "bankAccountEnrollment": {
      "id": "00000000-0000-0000-0000-000000000000",
      "bankAccountId": "00000000-0000-0000-0000-000000000000",
      "owner": "client",
      "type": "verification",
      "status": "inactive",
      "reason": "inactive test",
      "connection": {
        "id": "00000000-0000-0000-0000-000000000000",
        "serviceProvider": "clearbank",
        "status": "inactive",
        "state": "update-in-progress",
        "method": "built-in"
      },
      "serviceProvider": "clearbank"
    }
  },
  "connect": {},
  "metadata": {}
}

List Bank Account Enrollments

GET /bank-account-enrollments

Supported query parameters:

ParameterDescription
metadata.page.number0-indexed, default=0
metadata.page.sizedefault=20; max=100
data.bankAccountEnrollment.bankAccountIdUUID of bank account which enrollment belongs to
data.bankAccountEnrollment.ownerorganization, client
data.bankAccountEnrollment.typeverification
data.bankAccountEnrollment.statusactive, inactive
data.bankAccountEnrollment.serviceProvider
{
  "workflow": {},
  "data": {
    "bankAccountEnrollments": [
      {
        "id": "00000000-0000-0000-0000-000000000000",
        "bankAccountId": "00000000-0000-0000-0000-000000000000",
        "owner": "organization",
        "type": "verification",
        "status": "active",
        "reason": null,
        "connection": {
          "id": "00000000-0000-0000-0000-000000000000",
          "serviceProvider": "clearbank",
          "status": "active",
          "state": "completed-up-to-date",
          "method": "built-in"
        },
        "serviceProvider": "clearbank"
      },
      {
        "id": "00000000-0000-0000-0000-000000000000",
        "bankAccountId": "00000000-0000-0000-0000-000000000000",
        "owner": "client",
        "type": "verification",
        "status": "inactive",
        "reason": "any reason",
        "connection": {
          "id": "00000000-0000-0000-0000-000000000000",
          "serviceProvider": "clearbank",
          "status": "inactive",
          "state": "completed-up-to-date",
          "method": "built-in"
        },
        "serviceProvider": "clearbank"
      }
    ]
  },
  "connect": {},
  "metadata": {
    "page": {
      "size": 20,
      "number": 0,
      "totalElements": 2,
      "totalPages": 1
    }
  }
}

Get Bank Account Enrollment

GET /bank-account-enrollments/{id}

{
  "workflow": {},
  "data": {
    "bankAccountEnrollment": {
      "id": "00000000-0000-0000-0000-000000000000",
      "bankAccountId": "00000000-0000-0000-0000-000000000000",
      "owner": "organization",
      "type": "verification",
      "status": "active",
      "reason": null,
      "connection": {
        "id": "00000000-0000-0000-0000-000000000000",
        "serviceProvider": "clearbank",
        "status": "active",
        "state": "completed-up-to-date",
        "method": "built-in"
      },
      "serviceProvider": "clearbank"
    }
  },
  "connect": {
    "connection": {
      "id": "00000000-0000-0000-0000-000000000000",
      "serviceProvider": "clearbank",
      "status": "active",
      "state": "completed-up-to-date",
      "method": "built-in"
    }
  },
  "metadata": {}
}